﻿using Microsoft.AspNetCore.Mvc;
using RazorTemplates.Services;

namespace RazorTemplates.ViewComponents
{
    public class ThoughtOfDayViewComponent : ViewComponent
    {
        private IWiseMan _wiseMan;

        public ThoughtOfDayViewComponent(IWiseMan wiseMan)
        {
            _wiseMan = wiseMan;
        }

        public IViewComponentResult Invoke()
        {
            var model = _wiseMan.GetThought();
            return View("Default", model);
        }
    }
}
